## org.apache.xpath.axes
Interface PathComponent

All Known Implementing Classes:
  AttributeIterator, AxesWalker, BasicTestIterator, ChildIterator, ChildTestIterator, DescendantIterator, FilterExprIterator, FilterExprIteratorSimple, FilterExprWalker, KeyIterator, KeyRefIterator, LocPathIterator, MatchPatternIterator, NodeSequence, OneStepIterator, OneStepIteratorForward, ReverseAxesWalker, SelfIteratorNoPredicate, UnionChildIterator, UnionPathIterator, Variable, VariableSafeAbsRef, WalkingIterator, WalkingIteratorSorted, XNodeSet, XNodeSetForDOM, XNull

    public interface PathComponent

Classes who implement this information provide information needed for static analysis of a path component.

Method Summary
`int` `getAnalysisBits()` Get the analysis bits for this path component, as defined in the WalkerFactory.

Method Detail

### getAnalysisBits

    int getAnalysisBits()

  Get the analysis bits for this path component, as defined in the WalkerFactory.

  Returns:
    One of WalkerFactory#BIT_DESCENDANT, etc.

Copyright © 2005 Apache XML Project. All Rights Reserved.